Package Details: scaleft-client-tools-bin 1.67.4-1

Git Clone URL: https://aur.archlinux.org/scaleft-client-tools-bin.git (read-only, click to copy)
Package Base: scaleft-client-tools-bin
Description: ScaleFT(TM) client tools
Upstream URL: https://scaleft.com
Licenses: custom
Submitter: tonyskapunk
Maintainer: tonyskapunk
Last Packager: tonyskapunk
Votes: 3
Popularity: 0.27
First Submitted: 2021-05-02 07:01 (UTC)
Last Updated: 2023-03-03 15:12 (UTC)

Latest Comments

1 2 Next › Last »

Xorvato commented on 2024-02-15 08:55 (UTC)

You're right. I was incompetent, I'm sorry.

tonyskapunk commented on 2024-02-15 00:59 (UTC)

Hi, version 1.9.Z is very old, current version is 1.67.Z is newer, you may be confused by thinking is 1.6.7, but is actually 67. 67 > 9.

I started maintaining this package back in 2017 and back then the version was 1.27.Z You can see the history here: https://aur.archlinux.org/cgit/aur.git/log/?h=scaleft-client-tools-bin

hth

Xorvato commented on 2024-02-14 20:24 (UTC)

Tell me, I don't understand something? At the given url I can download version 1.9...

https://pkg.scaleft.com/rpm/scaleft-client-tools-1.9.2-1.x86_64.rpm

tonyskapunk commented on 2024-02-13 13:51 (UTC)

Hello, the latest version for the url provided is 1.67.4-1

Xorvato commented on 2024-02-13 09:00 (UTC)

The new version is available for download, please update your three pkgbuilds. https://pkg.scaleft.com/rpm/

tonyskapunk commented on 2023-03-07 17:04 (UTC) (edited on 2023-03-07 17:04 (UTC) by tonyskapunk)

Hey! Thanks for reporting that, I wasn't aware of such changes either.

Looking at their docs it seems like there are some instructions using the "new" [1][2], dist.scaleft.com and others places still using pieces of the "old" [2][3] pkg.scaleft.com

Based on the documentation it is not quite clear what's the "best" one. Another thing I found is that the "new" location does not have the latest version for all their components (client, server, url handler) nor for all the versions they are supporting. e.g. alma[4], centos[5], rhel[6] only have 1.66.4 vs fedora 37[7] having 1.68.2

I'll see what I can do, as I'll have to figure out how to reliable access their latest bits now that their directory structure is different and not updated similarly

mamalyga commented on 2023-03-07 14:18 (UTC)

Hi,

more of an FYI call than anything else

it is quite possible that Okta has moved the repos around (not sure, I did not pay attention to this before)

because of this CVE-2023-0093 I wanted to upgrade the client to 1.68.2 that they recommend and I found it in Fedora repo, but not in https://pkg.scaleft.com/rpm/

cheers

tonyskapunk commented on 2021-05-03 16:01 (UTC)

Hi ainola, I've updated the license path to the suggested location by the package guidelines. I've also created a -bin repo package for client and server. Need to figure out how to ask to do the migration from these packages to the new ones.

tonyskapunk commented on 2021-04-28 05:41 (UTC)

Hello! Sorry for the late response. Thanks for pointing those things out. I think both make sense, I'll dedicate some time later this week to attempt to address them.

ainola commented on 2021-04-19 00:06 (UTC)

Hi! Thanks for maintaining this package. A few things:

  • This is distributing a precompiled binary, so it should be renamed to scaleft-client-tools-bin

  • This package is installing the license in /share/doc rather than /usr/share/doc. Please update to the proper path.

Both of these seem to affect your other scaleft packages as well, so it'd be nice to get them all updated.